<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

	$op = (isset($_REQUEST['op'])) ? inCode($_REQUEST['op']) : "" ;
	$id = (isset($_REQUEST['id'])) ? intval($_REQUEST['id']) : 0 ;
	$voted = (isset($_POST['vote'])) ? intval($_POST['vote']) : 0 ;
	$survey = (isset($_REQUEST['survey'])) ? intval($_REQUEST['survey']) : 0 ;
	$ok = (isset($_GET['ok'])) ? inCode($_GET['ok']) : false ;

	function sondList() {
		global $dblink,$siteConfig;
		
		if ($row = $dblink->get_row("SELECT * FROM memht_survey WHERE enabled=1 ORDER BY id DESC LIMIT 1")) {
			$id = intval($row['id']);
			$question = outCode($row['question']);
			$comments = intval($row['usecomments']);
			
			echo "<table width='100%' border='0' class='small'>\n";
			echo "<tr><td colspan='2' class='box' align='center'><b>$question</b></td></tr>\n";
			echo "<tr><td align='right'>\n";
				echo "<form name='survey1' method='post' action='index.php?page=surveys'>\n";
					echo "<input type='hidden' name='op' value='vote'>\n";
					echo "<input type='hidden' name='id' value='$id'>\n";
					echo "<table width='100%' border='0' class='small'>";
					$result = $dblink->get_list("SELECT * FROM memht_survey_data WHERE surveyid='$id' ORDER BY id");
					foreach ($result as $row) {
						$aid = intval($row['id']);
						$answer = outCode($row['answer']);
						echo "<tr><td colspan='2' align='left'><input name='vote' type='radio' value='$aid'> $answer</td></tr>\n";
					}
					echo "<tr><td align='center'><input type='submit' name='Submit' value='"._UVOTE_."'></td></tr>\n";
					echo "</table>";
				echo "</form>\n";
			echo "</td></tr>\n";
			echo "<tr><td colspan='2' align='center'><a href='index.php?page=surveys&op=result&id=$id' title='"._RESULT_."'>"._RESULT_."</a></td></tr>\n";
			if ($siteConfig['usecomments']==1 AND $comments==1) {
				echo "<tr><td colspan='2' class='info' align='center'><a href='index.php?page=surveys&op=result&id=$id#comments' title='"._COMMENTS_."'>(".$dblink->get_num("SELECT id FROM memht_comments WHERE whr=6 AND wid=$id AND moderate=0")." "._COMMENTS_.")</a></td></tr>\n";
			}
			echo "</table>\n";
		} else {
			echo "<div id='errorText' align='center'><b>"._NOACTIVESURVEY_."</b></div>\n";
		}
	}

	function showSond($id) {
		global $dblink,$siteConfig;
		$id = intval($id);
		
		if ($row = $dblink->get_row("SELECT * FROM memht_survey WHERE id='$id'")) {
			$id = intval($row['id']);
			$question = outCode($row['question']);
			$comments = intval($row['usecomments']);
			
			$row = $dblink->get_row("SELECT SUM(votes) AS tot FROM memht_survey_data WHERE surveyid='$id'");
			$tot = intval($row['tot']);
			
			echo "<table width='100%' border='0' class='small'>\n";
			echo "<tr><td colspan='2' class='box' align='center'><b>$question</b><br>("._TOTVOTES_.": $tot)</td></tr>\n";
			echo "<tr><td align='right'>\n";
					
			$result = $dblink->get_list("SELECT * FROM memht_survey_data WHERE surveyid='$id' ORDER BY id");
			foreach ($result as $row) {
				$aid = intval($row['id']);
				$answer = outCode($row['answer']);
				$votes = intval($row['votes']);
				
				@$perc = ($votes/$tot)*100;
				$width = $perc*3;
				
				echo "<tr><td><img src='images/bullet_paper.gif' border='0' alt='Bullet'> $answer";
				echo "<div class='info'><img src='templates/".$siteConfig['template']."/images/bar_sx.gif' border='0' title='$votes (".round($perc,1)."%)' alt='$votes'><img src='templates/".$siteConfig['template']."/images/bar_centrale.gif' border='0' alt='$votes' title='$votes (".round($perc,1)."%)' width='$width' height='12'><img src='templates/".$siteConfig['template']."/images/bar_dx.gif' border='0' alt='$votes' title='$votes (".round($perc,1)."%)'> ".round($perc,1)."%<br><br></div>\n";
				echo "</td></tr>\n";
			}
			echo "</table>\n";
			
			if ($siteConfig['usecomments']==1 AND $comments==1) {
				openTable();
					//Comments
					include_once("inc/class/comments.class.php");
					$cc = new comments();
					$cc->whr = 6;
					$cc->wid = $id;
					$cc->show();
				closeTable();
			}
		} else {
			echo "<div id='errorText' align='center'><b>"._NOACTIVESURVEY_."</b></div>\n";
		}
	}

	function voteSond($id,$voted){
		global $dblink,$visitorInfo;
		
		$id = intval($id);
		$voted = intval($voted);
		
		if ($voted>0) {
			if ($dblink->get_num("SELECT ip FROM memht_survey_log WHERE surveyid='$id' AND ip='".$visitorInfo['ip']."'")==0) {
				$dblink->query("INSERT INTO memht_survey_log (surveyid,ip) VALUES ('$id','".$visitorInfo['ip']."')");
				
				$dblink->query("UPDATE memht_survey_data SET votes=votes+1 WHERE surveyid='$id' AND id='$voted'");
				showSond($id);
			} else {
				echo "<div id='errorText' align='center'><b>"._ALREADYVOTED_."</b></div>\n";
			}
		} else {
			echo "<div id='errorText' align='center'><b>"._EMPTY_."</b></div>\n";
		}
	}
	
	openTable();

	switch($op) {
		case "result":
			showSond($id);
		break;
		
		case "vote":
			voteSond($id,$voted);
		break;
		
		default:
			sondList();
		break;
	}

	closeTable();

?>